<?php

namespace App\Http\Controllers\Z_Core;

use App\Http\Controllers\Controller;
use Symfony\Component\Process\Process;

class BackupController extends Controller
{
    
    public function download_backup()
    {
        try {
            $databaseName = config('database.connections.dynamic.database');
            $backupFileName = 'database_backup_' . date('Y_m_d_His') . '.sql';
            $backupFilePath = storage_path('app') . '/public/dbbackup/' . $backupFileName;
    
            $command = sprintf(
                '"C:\xampp\mysql\bin\mysqldump" -u %s --password=%s %s > %s',
                escapeshellarg(config('database.connections.dynamic.username')),
                escapeshellarg(config('database.connections.dynamic.password')),
                escapeshellarg($databaseName),
                escapeshellarg($backupFilePath)
            );
        
            // Execute the mysqldump command
            exec($command, $output, $resultCode);
    
            if ($resultCode !== 0) {
                throw new \Exception('Error executing mysqldump command. Check your credentials and database connection.');
            }
    
            if (file_exists($backupFilePath)) {
                return response(['download_link' => 'storage/dbbackup/'.$backupFileName]); // Provide the download link using the asset function
            } else {
                return response()->json(['error' => 'Backup file not found.'], 500);
            }
        } catch (\Exception $e) {
            return response()->json(['error' => $e->getMessage()], 500);
        }
    }
    


}
