<?php

namespace App\Http\Controllers\Z_Core;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class DocumentController extends Controller
{
    public function upload(Request $request)
    {
        // Get the client ID or username
        $clientId = $request->company['company_code'];

        // Get the uploaded file
        $file = $request->file('file');

        // Generate a unique filename
        $originalFilename = $file->getClientOriginalName();
        $uniqueFilename = time() . '_' . $originalFilename;

        // Create a directory for the client if it doesn't exist
        $directory = 'clients/' . $clientId . '/documents/'. $request->dir ;
        Storage::disk('public')->makeDirectory($directory);

        // Move the uploaded file to the client's directory
        $file->storeAs($directory, $uniqueFilename, 'public');

        // Save the file path in the database or perform any other required actions
        $filePath = 'storage/'.$directory . '/' . $uniqueFilename;
        // Save $filePath in the database or perform other operations
        
        // Return a response indicating successful upload
        return response()->json(['path' => $filePath]);

    }
}
