<?php

namespace App\Models\FleetOwner;

use App\Models\Account\Account;
use App\Models\Master\Branch;
use App\Models\Master\Employee;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DriverSettlement extends Model
{
    use HasFactory;

    public function d_settlement_desc()
    {
        return $this->hasMany(DriverSettlementDesc::class,'driver_settlement_id');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function driver_payment_from()
    {
        return $this->belongsTo(Account::class, 'driver_payment_from');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }

    public function driver()
    {
        return $this->belongsTo(Employee::class, 'driver_id');
    }
}
