<?php

namespace App\Models\FleetOwner;

use App\Models\Account\Account;
use App\Models\Account\VoucherDesc;
use App\Models\Bill\BillDesc;
use App\Models\Master\Branch;
use App\Models\Master\Route;
use App\Models\Master\Station;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LoadingSlip extends Model
{
    use HasFactory;

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function linked_ls()
    {
        return $this->belongsTo(LoadingSlip::class, 'linked_ls_id');
    }

    public function diesel_receipt()
    {
        return $this->hasMany(DieselReceipt::class,'booking_id','id')->where('against','Loading Slip');
    }

    public function route()
    {
        return $this->belongsTo(Route::class, 'route_id');
    }

    public function diesel_allotment()
    {
        return $this->hasMany(DieselAllotment::class, 'ls_id');
    }

    public function voucher_desc()
    {
        return $this->hasMany(VoucherDesc::class,'against_number','ls_number');
    }

    public function bill_desc()
    {
        return $this->hasMany(BillDesc::class,'ls_id');
    }

    public function lorry_hire_desc()
    {
        return $this->hasMany(LorryHireDesc::class,'against_id','id');
    }

    public function d_settlement_desc()
    {
        return $this->hasMany(DriverSettlementDesc::class,'against_id','id');
    }  

    public function source()
    {
        return $this->belongsTo(Station::class, 'source_id');
    }

    public function destination()
    {
        return $this->belongsTo(Station::class, 'destination_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }

    public function driver()
    {
        return $this->belongsTo(Account::class, 'driver_id');
    }

    public function acc_party()
    {
        return $this->belongsTo(Account::class, 'acc_party_id');
    }

    public function income()
    {
        return $this->belongsTo(Account::class, 'income');
    }

    public function driver_payment_from()
    {
        return $this->belongsTo(Account::class, 'driver_payment_from');
    }

    public function advance_received_in()
    {
        return $this->belongsTo(Account::class, 'advance_received_in');
    }

    public function balance_received_in()
    {
        return $this->belongsTo(Account::class, 'balance_received_in');
    }
}
