<?php

namespace App\Models\FleetOwner;

use App\Models\Account\Account;
use App\Models\Account\VoucherDesc;
use App\Models\Master\Branch;
use App\Models\Master\Employee;
use App\Models\Master\Party;
use App\Models\Master\Station;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LorryHire extends Model
{
    use HasFactory;

    public function lorry_hire_desc()
    {
        return $this->hasMany(LorryHireDesc::class,'lorry_hire_id');
    }

    public function voucher_desc()
    {
        return $this->hasMany(VoucherDesc::class,'against_number','lh_number');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function source()
    {
        return $this->belongsTo(Station::class, 'source_id');
    }

    public function destination()
    {
        return $this->belongsTo(Station::class, 'destination_id');
    }

    public function broker()
    {
        return $this->belongsTo(Party::class, 'broker_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }

    public function driver()
    {
        return $this->belongsTo(Employee::class, 'driver_id');
    }

    public function lorry_hire_from()
    {
        return $this->belongsTo(Account::class, 'lorry_hire_from');
    }

    public function dr_on_account()
    {
        return $this->belongsTo(Account::class, 'dr_on_account');
    }

    public function paid_using()
    {
        return $this->belongsTo(Account::class, 'paid_using');
    }
}
