<?php

namespace App\Models\Inventory;

use App\Models\Account\Account;
use App\Models\Account\VoucherDesc;
use App\Models\Master\Branch;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Purchase extends Model
{
    use HasFactory;

    public function purchase_desc()
    {
        return $this->hasMany(PurchaseDesc::class,'bill_id');
    }

    public function voucher_desc()
    {
        return $this->hasMany(VoucherDesc::class,'against_number','bill_number');
    }


    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function acc_party()
    {
        return $this->belongsTo(Account::class, 'acc_party_id');
    }
}
