<?php

namespace App\Models\Inventory;

use App\Models\Account\Account;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PurchaseDesc extends Model
{
    use HasFactory;

    public function purchase()
    {
        return $this->belongsTo(Purchase::class, 'bill_id');
    }

    public function product_serial_desc()
    {
        return $this->hasMany(ProductSerial::class, 'bill_desc_id');
    }

    public function product()
    {
        return $this->belongsTo(Product::class, 'product_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }

    public function dr_account()
    {
        return $this->belongsTo(Account::class, 'dr_account_id');
    }
}
