<?php

namespace App\Models\Master;

use App\Models\Account\Account;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Branch extends Model
{
    use HasFactory;

    protected $table = 'branches';
    
    // BRANCH CAN HAVE MANY COMMISSIONS (ONE TO MANY)
    public function commissions()
    {
        return $this->hasMany(BranchCommission::class);
    }

    // BRANCH CAN BE LINKED TO MANY STATIONS ( ONE TO MANY ) ( IT'S FIELD IS GIVEN IN STATION PAGE )
    public function stations()
    {
        return $this->hasMany(Station::class, 'branch_id', 'id');
    }

    // BRANCH CAN HAVE ONE STATION (PRIMARY BILLING) ( ONE TO ONE ) ( IT'S FIELD IS GIVEN IN BRANCH PAGE )
    public function branch_station()
    {
        return $this->hasOne(Station::class, 'id', 'branch_station');
    }
    
    // BRANCH CAN HAVE MANY PARTIES (ONE TO MANY)
    public function parties()
    {
        return $this->hasMany(Party::class, 'branch_id', 'id');
    }
   
    // BRANCH CAN HAVE MANY EMPLOYEES (ONE TO MANY)
    public function employees()
    {
        return $this->hasMany(Station::class);
    }
    
    // BRANCH CAN HAVE MANY BOOKS ISSUED (ONE TO MANY)
    public function issued_books()
    {
        return $this->hasMany(IssueBooks::class);
    }


    

    // BRANCH CAN BE LINKED TO USERS (MANY TO MANY)
    public function users()
    {
        return $this->belongsToMany(User::class);
    }

    

}
