<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Vehicle extends Model
{
    use HasFactory;
    
    // VEHICLE CAN HAVE ONE EMPLOYEE (ONE TO ONE) ( IF VEHICLE IS A DRIVER)
    public function employee()
    {
        return $this->hasOne(Employee::class);
    }


    // RECORDS HISTORY OF VEHICLE AND EMPLOYEE ( MANY TO MANY ) (BASICALLY IT IS HISTORY)
    public function employees()
    {
        return $this->belongsToMany(Employee::class, 'employee_vehicle');
    }


    // VEHICLE BELONGS TO AN OWNER ( PARTY ) (ONE TO MANY)
    public function party()
    {
        return $this->belongsTo(Party::class, 'owner_id');
    }

    // VEHICLE BELONGS TO A ROUTE (MANY TO MANY)
    public function routes()
    {
        return $this->belongsToMany(Vehicle::class, 'route_vehicles');
    }
}
