@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    function numberToWords($number) {
        $no = floor($number);
        $point = round($number - $no, 2) * 100;
        $hundred = null;
        $digits_1 = strlen($no);
        $i = 0;
        $str = array();
        $words = array(
            '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
            '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
            '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
            '80' => 'Eighty', '90' => 'Ninety'
        );
        $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
        while ($i < $digits_1) {
            $divider = ($i == 2) ? 10 : 100;
            $number = floor($no % $divider);
            $no = floor($no / $divider);
            $i += ($divider == 10) ? 1 : 2;
            if ($number) {
                $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
                $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
                $str [] = ($number < 21) ? $words[$number] .
                    " " . $digits[$counter] . $plural . " " . $hundred
                    :
                    $words[floor($number / 10) * 10]
                    . " " . $words[$number % 10] . " "
                    . $digits[$counter] . $plural . " " . $hundred;
            } else $str[] = null;
        }
        $str = array_reverse($str);
        $result = implode('', $str);
        $points = ($point) ?
            "." . $words[$point / 10] . " " . 
                $words[$point = $point % 10] : '';
                echo $result . "Rupees  ";
        // echo $result . "Rupees  " . $points . " Paise";
    }


    // $copies = $_GET['copies'];

    // // BREAK $copies INTO ARRAY
    // $copies = explode(',', $copies);





@endphp



<!DOCTYPE html>
<html lang="en">

<head>
    <title>{{ $bill->bill_number }}</title>
</head>
<style>
    * {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
        font-size: 14px;
        font-family: poppins, sans-serif;
    }

    table, tr,th,td {
        margin: 0;}

    td,th {
        text-indent: 4px;
        padding: 5px 0;
    }

    @media print {
        table {
            width: 100%;
            font-size: 14px;
            word-wrap: break-word;
        }
    }
</style>

<body>


    <div style="width: 1000px;margin: 0 auto;border: 1px solid#000;">
        <div class="main-page">
            <P style="border-bottom: 1px solid #000;text-align: center;font-weight:bold;padding: 10px 0;">TAX INVOICE
            </P>
            <table width="100%" cellspacing="0" cellpadding="0" align="center">

                <div style="display: flex;">
                    <div class="">
                        <P><img src="" width="95%"></P>
                    </div>
                    <div>
                        <h2 style="font-size: 43px;margin-bottom: 0;font-weight: 700;color:#000;text-align: center;">

                            {{ $company->company_name }}
                            {{-- SAHANI <span
                                style="font-size: 43px;margin-bottom: 0;font-weight: 700;color:#f00;">LOGISTICS</span>
                            PVT. LTD.</h2> --}}
                        <P style="font-weight: 600;text-align: center;">
                            {{ $company->address1 }}
                            MOB:- {{ $company->mob1 }} / {{ $company->mob2 }}</P>
                    </div>
                </div>
            </table>
            <table width="100%" cellspacing="0" cellpadding="0" align="center" border="1">
                <tr align="center" style="font-weight:600">
                    <td>GSTIN/UIN. {{ $company->gst_number }}</td>
                    <td>PAN. NO. {{ $company->pan_number }}</td>
                    <td>CIN. {{ $company->cin }}</td>
                </tr>
            </table>
            <table width="100%" cellspacing="0" cellpadding="0" align="center">
                <tr align="center">
                    <td style="height: 40px;border-bottom:1px solid #000"></td>
                </tr>
            </table>

            <div style="display: flex;font-weight: bold;">
                <div style="width: 70%;">
                    <table width="100%" cellspacing="0" cellpadding="0" align="center" border="1"
                        style="height:150px;">
                        <tr>
                            <td colspan="2" style="border-right: none;border-bottom: none;border-top: none;">
                                BILL TO :- 
                                
                                <p>{{ $bill->acc_party['account_name'] }}</p>

                                <p>{{ $bill->billing_address }}</p>

                                <p>{{ $bill->acc_party['party']['tele_number'] }}</p>
                            
                            </td>
                        </tr>
                        <tr>
                            <td style="border-right: none;border-top: none;">GSTIN/UIN : {{ $bill->acc_party['party']['gst_number'] }} </td>
                            <td style="border-top: none;border-left: none;border-right: none;">STATE : {{ $bill->acc_party['party']['state'] }}  </td>
                        </tr>
                    </table>
                </div>


                <div style="width: 30%;">
                    <table width="100%" cellspacing="0" cellpadding="0" style="height:150px;" align="center" border="1">
                        <tr>
                            <td width="40%">INVOICE NO :-</td>
                            <td> {{ $bill->bill_number }}</td>
                        </tr>
                        <tr>
                            <td >INVOICE DATE :-</td>
                            <td>{{ formatDate($bill->bill_date) }}</td>
                        </tr>
                        <tr>
                            <td  colspan="2">
                                <p>BANK DETAILS</p>
                                <p>BANK NAME:- {{ $company->bank_name }}</p>
                                <p>A/C NO.:- {{ $company->account_number }}</p>
                                <p>IFSC CODE:- {{ $company->ifsc }}</p>
                                <p>BRANCH:- {{ $company->bank_branch }}</p>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <!--             
            <table width="100%" cellspacing="0" cellpadding="0" align="center"style="border-bottom:1px solid#000;border-top:1px solid#000">
                <tr>
                    <td style="height: 10px;"></td>
                </tr>
            </table> -->

            <table width="100%" cellspacing="0" cellpadding="0" align="center" border="1">
                <tr align="center">
                    <th width="10%">DATE</th>
                    <th width="30%">PARTICULARS</th>
                    <th width="10%">QUANTITY</th>
                    <th width="10%">HSN</th>
                    <th width="11%">RATE</th>
                    <th width="11%">AMOUNT</th>
                </tr>

                <tbody style="height:500px;" valign="top">
                    @foreach($bill->bill_desc as $bill_desc)
                        <tr align="center">
                            <td style="border-top: none;border-bottom: none;">{{ formatDate($bill_desc['gr_date']) }}</td>
                            <td style="border-top: none;border-bottom: none;">
                               <p>{{ $bill_desc['source']['station_name'].' To '.$bill_desc['destination']['station_name'] }}</p>    
                               <p>{{ 'LR No. : '.$bill_desc['gr_number'] }}</p>
                               <p> INVOICE NO : {{ $bill_desc['gr_desc']?$bill_desc['gr_desc'][0]->invoice_number:'' }}</p>
                            </td>
                            <td style="border-top: none;border-bottom: none;">{{ $bill_desc['total_pkg'] }}</td>
                            <td style="border-top: none;border-bottom: none;">9965</td>
                            <td style="border-top: none;border-bottom: none;">{{ $bill_desc['gr_desc']?$bill_desc['gr_desc'][0]->rate:'' }}</td>
                            <td style="border-top: none;border-bottom: none;">{{ $bill_desc['grand_total'] }}</td>
                        </tr>

                    @endforeach
                
                </tbody>
                

                <tr align="center">
                    <td style="border-top:none;border-bottom: none;"></td>
                    <td style="border-top:none;border-bottom: none;"></td>
                    <td style="border-top:none;border-bottom: none;"></td>
                    <td style="border-top:none;border-bottom: none;"></td>
                    <td>TOTAL</td>
                    <td>{{ $bill->total_without_gst + $bill->other_plus - $bill->other_minus }}</td>
                </tr>
                </tr>
                <tr  style="font-weight:600;">
                    <td align="center">AMOUNT IN WORDS:- </td>
                    <td colspan="3"> <?php echo numberToWords($bill->grand_total_amount) ?> </td>
                    <td align="center">CGST @ <?php echo intval($bill->cgst_percent); ?> %</td>
                    <td align="center">{{ $bill->total_cgst_amount }}</td>
                </tr>
            </table>

            <div style="display: flex;">
                <div style="width: 73%;">
                    <table width="100%" cellspacing="0" cellpadding="0" align="center">
                        <tr>
                            <td style="font-weight: 600;">TERMS & CONDITIONS:-</td>
                        </tr>
                        <tr>
                            <td style="font-weight: 600;">1 :-{{ $company->jurisdiction }}</td>
                        </tr>
                        <tr>
                            <td style="font-weight: 600;">2 :- INTEREST @20% P.A. WILL BE CHARGED IF THE PAYMENTS IS NOT
                                MADE IN 30 DAYS </td>
                        </tr>
                        <tr>
                            <td style="font-weight: 600;">3 :- PAYMENT MADE BY CHEQUE TO BE IN FAVOUR OF {{ $company->company_name }}</td>
                        </tr>
                    </table>
                </div>


                <div style="width: 27%;">
                    <table width="100%" cellspacing="0" cellpadding="0" align="center" border="1">
                        <tr style="font-weight: 600;text-align: center;">
                            <td>SGST @ <?php echo intval($bill->sgst_percent); ?> %</td>
                            <td>{{ $bill->total_sgst_amount }}</td>
                        </tr>
                        <tr style="font-weight: 600;text-align: center;">
                            <td width="50%">IGST @ <?php echo intval($bill->igst_percent); ?>%</td>

                            <td>{{ $bill->total_igst_amount }}</td>
                        </tr>
                        <tr style="font-weight: 600;">
                            <td>GRAND TOTAL</td>
                            <td align="center">{{ $bill->grand_total_amount }}</td>
                        </tr>
                        <tr style="font-weight: 600;">
                            <td align="center" colspan="2">
                                <p style="padding-bottom: 20px;">FOR {{ $company->company_name }}</p>
                                <p>AUTHORISED SIGNATURE </p>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>

        </div>
    </div>
</body>

</html>